#include <SoftwareSerial.h>                           //Software Serial Library
SoftwareSerial mySerial(A0, A1);                      //Defining  RX, TX PIN            

#include "TinyDHT.h"                                  //Including library

#define DHTPIN A7                                     //Defining INPUT PIN - DATA PIN
#define DHTTYPE DHT22                                 // TYPE OF SENSOR

DHT dht(DHTPIN, DHTTYPE);                             // VARIABLE

void setup() {
  mySerial.begin(9600);                               // DEFINING BAUD RATE AS 9600 baud
  delay(500);                                         // PAUSE
  dht.begin();                                        // INITIALIZING  
}

void loop() {
  int h = dht.readHumidity();                         // GETTING DATA HUMIDITY
  int t = dht.readTemperature(1)-(58);                // GETTING DATA TEMPRERATURE
  mySerial.print("Temp: ")+mySerial.print(t)+mySerial.println("*C");    //PRINT DATA TEMP
  mySerial.print("Hum: ")+mySerial.print(h);+mySerial.println("%");     //PRINT DATA HUM
  delay(500);                                         // PAUSE
}
